On Tue, 23 May 2006 23:40:37 +0000
"Marwan Sultan" <dead_l... <http://groups.google.com/groups/unlock?msg=695fbeab0c2a56e4&_done=/group/list.freebsd.questions/browse_thread/thread/220f6510efe41d89/6e9a9d715460864c%3Fq%3Drtld_dlsym_hack.diff%26rnum%3D1>@hotmail.com> wrote:
> hello everyone!

> I'm really sorry to ask over here, but sick and tired browsing and asking
> around.

>   I'm on latest FreeBSD 6.1R latest KDE and latest firefox 1.5.3
> I cannot find the flash plugins for Konqueror because no more port for it,
> (linux-flashplgin6)

>   So i have installed Firefox, now i'm lost, which in port is the flash
> plugin?

>   I have linux-flashplugin7 installed, linuxpluginwrapper,

looks ok

$ pkg_info | grep -i flash && pkg_info | grep -i firefox
linux-flashplugin-7.0r63 The official Macromedia Flash Player for Linux Mozilla

 firefox-1.5.0.3,1   Web browser based on the browser portion of Mozilla
firefox-remote-20040803 Wrapper scripts for firefox web browser

>   But flash still not workin in firefox, i dont know what to do now?
> Will someone kindly guied me for this? how to install flash, for firefox?
> and enable it.

from someone else's kind instructions, which worked great for me:

- modify your libmap.conf , following what is shown in
what  /usr/local/share/examples/linuxpluginwrapper/libmap.conf-FreeBSD6

- Finally edit /usr/X11R6/lib/firefox/run-mozilla.sh and add
 /usr/X11R6/lib/linux-flashplugin6 to MOZ_PLUGIN_PATH
 (near the end of the script) (colon-separated path components)

- path your kernel:
Please get and apply a dlsym(3) hook patch (apply in /usr/src ; then cd
libexec/rtld-elf and do make rtld)
http://people.FreeBSD.org/~nork/*rtld_dlsym_hack.diff* <http://people.FreeBSD.org/%7Enork/rtld_dlsym_hack.diff> This provides _dlsym(3) function to fix dynamic-link error "can't find gtk_major_version" ad-hoc-ly.

$cd /usr/src
$fetch http://people.FreeBSD.org/~nork/*rtld_dlsym_hack.diff* <http://people.FreeBSD.org/%7Enork/rtld_dlsym_hack.diff>
$patch < *rtld_dlsym_hack.diff*
$ cd libexec/rtld-elf
$sudo make rtld
$ sudo make install

>   Also How to install java? on firefox? it would be my next step.

>   Is there by any chance away to run flash for Konqueror? or better to
> delete this package if im
>   having firefox?

i dont know, dont use kde.
good luck,
Beto
I have followed all of the instructions for patching the src (from above), and firefox still crashes with the error: /libexec/ld-elf.so.1: /usr/local/lib/pluginwrapper/flash7.so: Undefined symbol "_dlsym" when a flash page is loaded. What have I missed?
_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to